Botan 2.13.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Functions
base58.cpp File Reference
`#include <botan/base58.h>`
`#include <botan/exceptn.h>`
`#include <botan/bigint.h>`
`#include <botan/divide.h>`
`#include <botan/loadstor.h>`
`#include <botan/hash.h>`

Go to the source code of this file.

## Namespaces
| Botan

## Functions
std::vector< uint8_t > | Botan::base58_check_decode (const char input[], size_t input_length)
std::string | Botan::base58_check_encode (const uint8_t input[], size_t input_length)
std::vector< uint8_t > | Botan::base58_decode (const char input[], size_t input_length)
std::string | Botan::base58_encode (const uint8_t input[], size_t input_length)

## Variable Documentation

const char* m_alphabet

Definition at line 72 of file base58.cpp.

uint8_t m_alphabet_len

Definition at line 73 of file base58.cpp.

uint8_t m_tab[256]

Definition at line 74 of file base58.cpp.